Imports System.Data.Common

Public Interface IDatabase
    Function GetDatatable(SqlCommand As String, Timeout As Integer) As DataTable
    Function GetDatatable(SqlCommand As String) As DataTable

    Function ExecuteNonQuery(SQLCommand As String, Timeout As Integer) As Boolean
    Function ExecuteNonQuery(SQLCommand As String) As Boolean

    Function GetScalarValue(SQLQuery As String, Timeout As Integer) As Object
    Function GetScalarValue(SQLQuery As String) As Object
End Interface
